package model

const (
	StatusOK = iota
	StatusIgnore
	StatusAccountClosed
	StatusPendingVideo
	StatusPendingLive
	StatusUntracked
)

type Furry struct {
	ID         uint   `gorm:"primarykey"`
	UID        uint   `gorm:"uniqueIndex;not null"`
	Name       string `gorm:"index;not null;default:''"`
	Status     int    `gorm:"index;not null;default:0"`
	LiveRoomID uint   `gorm:"index;not null;default:0"`
}

func (Furry) TableName() string {
	return "furries"
}
