package logic

import (
	"github.com/furryboard/spider-scheduler/pkg/dao"
	"github.com/furryboard/spider-scheduler/pkg/dao/model"
)

func GetLiveRoomsFromDB(roomIDs *[]uint64) ([]*model.LiveRoom, error) {
	var liveRooms []*model.LiveRoom
	tx := dao.DB().Model(&model.LiveRoom{}).Where("room_id in (?)", *roomIDs).Find(&liveRooms)
	return liveRooms, tx.Error
}

//
//func UpdateLiveRoom(infos []*pb.InfoReply_Data) (int, error) {
//	// 获取数据库里已有的info
//	var roomIDs []uint64
//	for _, info := range infos {
//		if info.LiveRoom == nil {
//			continue
//		}
//		roomIDs = append(roomIDs, info.LiveRoom.Roomid)
//	}
//	oldInfos, err := GetLiveRoomsFromDB(&roomIDs)
//
//	err = dao.DB().Transaction(func(tx *gorm.DB) error {
//		for i, info := range infos {
//			if oldInfos[i].Title != info.LiveRoom
//		}
//	})
//	if err != nil {
//		return
//	}
//
//}
